# dataGrip连接hive带kerberos认证

### dataGrip 连接带kerberos认证的hive







首先使用  dbeaver 的hive 驱动 （[下载地址](https://github.com/timveil/hive-jdbc-uber-jar/releases/download/v1.9-2.6.5/hive-jdbc-uber-2.6.5.0-292.jar)） 别的驱动测试不成功，



准备kerberos的认证信息，

kerberos 主体、认证密钥 keytab文件，jaas配置文件

jaas配置文件如下：

```

DataGrip {
    com.sun.security.auth.module.Krb5LoginModule required
    useKeyTab=true
    keyTab="D:\ckw\kn\kn\cuayilinghsd.keytab"
    principal="cuayilinghsd@CUA-KDCSERVER.COM"
    doNotPrompt=true
    useTicketCache=true
    debug=true;
};

```

将上述配置文件中的`keyTab` `principal` 替换成之前准备的。



使用刚刚下载驱动文件创建一个数据源

url 如下：

```
jdbc:hive2://bigdata57.cua.internal:10000/;principal=hive/bigdata57.cua.internal@CUA-KDCSERVER.COM
```

`hive/bigdata57.cua.internal@CUA-KDCSERVER.COM` 为固定值。

`bigdata57.cua.internal:10000`  hive 地址与端口





然后在高级配置里添加

jvm 参数

```
-Djava.security.krb5.conf=C:\ProgramData\MIT\Kerberos5\krb5.ini 
-Dsun.security.krb5.debug=true
```

`C:\ProgramData\MIT\Kerberos5\krb5.ini` 为kerberos 服务的配置文件

```
[libdefaults]
 default_realm = CUA-KDCSERVER.COM

[realms]
 CUA-KDCSERVER.COM = {
  kdc = 10.111.15.61:88
  admin_server = 10.111.15.61:754
  default_domain = CUA-KDCSERVER.COM
 }

[domain_realm]
 .example.com = CUA-KDCSERVER.COM
 example.com = CUA-KDCSERVER.COM

```



点击测试连接，完成hive数据源的添加。